"{ Package: 'exept:regression' }"

"{ NameSpace: RegressionTests }"

TestCase subclass:#OrderedSetTest
	instanceVariableNames:'subProcesses'
	classVariableNames:''
	poolDictionaries:''
	category:'tests-Regression'
!


!OrderedSetTest methodsFor:'test'!

testOrder1
    |col|

    col := OrderedSet new.

    col add:'a'.
    col add:'b'.
    col add:'c'.
    self assert:( col size == 3 ).
    self assert:( Array streamContents:[:s | 
                        col do:[:each | s nextPut:each]
                  ]
                ) = #('a' 'b' 'c' ).

    "
     self new testOrder1  
    "
!

testOrder2
    |col|

    col := OrderedSet new.

    col add:'a'.
    col add:'b'.
    col add:'c'.
    col add:'a'.
    col add:'b'.
    self assert:( col size == 3 ).
    self assert:( Array streamContents:[:s | 
                        col do:[:each | s nextPut:each]
                  ]
                ) = #('a' 'b' 'c' ).

    "
     self new testOrder2  
    "
!

testOrder3
    |col|

    col := OrderedSet new.

    col add:'a'.
    col addFirst:'b'.
    col addFirst:'c'.
    self assert:( col size == 3 ).
    self assert:( Array streamContents:[:s | 
                        col do:[:each | s nextPut:each]
                  ]
                ) = #('c' 'b' 'a' ).

    "
     self new testOrder3  
    "
!

testOrder4
    |col|

    col := OrderedSet new.

    col add:'a'.
    col addFirst:'b'.
    col addFirst:'c'.
    col add:'a'.
    col add:'b'.
    col add:'c'.
    self assert:( col size == 3 ).
    self assert:( Array streamContents:[:s | 
                        col do:[:each | s nextPut:each]
                  ]
                ) = #('c' 'b' 'a' ).

    "
     self new testOrder4  
    "
! !

!OrderedSetTest class methodsFor:'documentation'!

version
    ^ '$Header$'
! !
